import { D33dSubView } from '../view/D33dSubView';
import { D33dPathOptions } from './D33dOptions';

/**
 * Class info and constructor parameters.
 */
export class D33dPath extends D33dSubView {
  constructor(options?: D33dPathOptions);

  /**
   * @return data for D33dView plotting.
   */
  getData(): {
    close: boolean;
    coords: number[];
    el: SVGElement;
  };

  /**
   * Render everything except coordinates.
   */
  render(): void;
}
