import { Collection } from '.';
import { Model } from './Model';

export interface ViewOptions<T> {
  el: HTMLElement;
  model?: Model<T>;
}

export interface CollectionOptions {
  silent?: boolean;
}

export interface SelectedCollectionViewOptions<T> {
  el: HTMLElement;
  collection?: Collection<T>;
}

export interface ModelOptions extends CollectionOptions {
  force: boolean;
}
